An error was encountered while running DADA2 in R (return code 1)

I was running:

qiime dada2 denoise-paired
–i-demultiplexed-seqs paired-end-demux.qza
–p-trim-left-f 0
–p-trim-left-r 0
–p-trunc-len-f 135
–p-trunc-len-r 135
–o-table table.qza
–o-representative-sequences rep-seqs.qza
–o-denoising-stats denoising-stats.qza
–p-n-threads 0
and ran into this error:
Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Debug info has been saved to /tmp/qiime2-q2cli-err-kwf243st.log

cat /tmp/qiime2-q2cli-err-kwf243st.log
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpt1wqx4zu/forward /tmp/tmpt1wqx4zu/reverse /tmp/tmpt1wqx4zu/output.tsv.biom /tmp/tmpt1wqx4zu/track.tsv /tmp/tmpt1wqx4zu/filt_f /tmp/tmpt1wqx4zu/filt_r 135 135 0 0 2.0 2 consensus 1.0 0 1000000

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering …

  2. Learning Error Rates
    2a) Forward Reads
    Initializing error rates to maximum possible estimate.
    Sample 1 - 99628 reads in 11223 unique sequences.
    Sample 2 - 123702 reads in 11151 unique sequences.
    Sample 3 - 97687 reads in 10444 unique sequences.
    Sample 4 - 120116 reads in 9304 unique sequences.
    Sample 5 - 129524 reads in 11409 unique sequences.
    Sample 6 - 136885 reads in 12598 unique sequences.
    Sample 7 - 100033 reads in 2289 unique sequences.
    Sample 8 - 99614 reads in 7773 unique sequences.
    selfConsist step 2
    selfConsist step 3
    selfConsist step 4
    selfConsist step 5
    selfConsist step 6
    selfConsist step 7
    Convergence after 7 rounds.
    2b) Reverse Reads
    Initializing error rates to maximum possible estimate.
    Sample 1 - 99628 reads in 13784 unique sequences.
    Sample 2 - 123702 reads in 12477 unique sequences.
    Sample 3 - 97687 reads in 28762 unique sequences.
    Sample 4 - 120116 reads in 9523 unique sequences.
    Sample 5 - 129524 reads in 13569 unique sequences.
    Sample 6 - 136885 reads in 17564 unique sequences.
    Sample 7 - 100033 reads in 83997 unique sequences.
    Sample 8 - 99614 reads in 50166 unique sequences.
    selfConsist step 2
    selfConsist step 3
    selfConsist step 4
    selfConsist step 5
    selfConsist step 6
    selfConsist step 7
    selfConsist step 8
    Convergence after 8 rounds.

  3. Denoise remaining samples

  4. Remove chimeras (method = consensus)
    Error in isBimeraDenovoTable(unqs[[i]], …, verbose = verbose) :
    Input must be a valid sequence table.
    Calls: removeBimeraDenovo -> isBimeraDenovoTable
    In addition: Warning message:
    In is.na(colnames(unqs[[i]])) :
    is.na() applied to non-(list or vector) of type ‘NULL’
    Execution halted
    Traceback (most recent call last):
    File “/home/qiime2/miniconda/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 231, in denoise_paired
    run_commands([cmd])
    File “/home/qiime2/miniconda/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/qiime2/miniconda/envs/qiime2-2018.11/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpt1wqx4zu/forward’, ‘/tmp/tmpt1wqx4zu/reverse’, ‘/tmp/tmpt1wqx4zu/output.tsv.biom’, ‘/tmp/tmpt1wqx4zu/track.tsv’, ‘/tmp/tmpt1wqx4zu/filt_f’, ‘/tmp/tmpt1wqx4zu/filt_r’, ‘135’, ‘135’, ‘0’, ‘0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘0’, ‘1000000’]’ returned non-zero exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2018.11/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/home/qiime2/miniconda/envs/qiime2-2018.11/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2018.11/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 362, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2018.11/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 246, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.
It would be great if anyone could guide me

Hi @wang_leon,
See here for a description of this error message and how to troubleshoot:

Good luck! Let us know if you are able to fix by changing truncation parameters (note those values do not need to be the same)

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.